{% extends "templates/form.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "packages/components/input/macro.njk" import input %}
{% from "macros/hce-date-input.njk" import hceDateInput %}
{% from "packages/components/textarea/macro.njk" import textarea %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "packages/components/radios/macro.njk" import radios %}
{% from "macros/hce-date-input.njk" import hceDateInput %}
{% from "packages/components/warning-callout/macro.njk" import warningCallout %}
{% from 'packages/components/details/macro.njk' import details %}

{% block formContent %}
  <h1>{{heading}}</h1>

  <div class="hce-telesales-search-box">
    <div class="nhsuk-width-container">
      {% call fieldset({
        legend: {
            isPageHeading: true,
            classes: "nhsuk-fieldset__legend--l",
            text: addressLegend
        }
      }) %}

      {{ input({
        label: {
          text: addressLineOneLabel
        },
        id: "address-line-1",
        name: "addressLine1",
        value: newApplicant.addressLine1,
        errorMessage: errors | getErrorForField('addressLine1'),
        autocomplete: "off",
        attributes:{
          autofocus: 'autofocus'
        }
      }) }}

      {{ input({
        label: {
          text: addressLineTwoLabel
        },
        id: "address-line-2",
        name: "addressLine2",
        value: newApplicant.addressLine2,
        errorMessage: errors | getErrorForField('addressLine2'),
        autocomplete: "off",
        attributes:{
          autofocus: 'autofocus'
        }
      }) }}

      {{ input({
        label: {
          text: townOrCityLabel
        },
        classes: "nhsuk-u-width-two-thirds",
        id: "town-or-city",
        name: "townOrCity",
        value: newApplicant.townOrCity,
        errorMessage: errors | getErrorForField('townOrCity'),
        autocomplete: "off",
        attributes:{
          autofocus: 'autofocus'
        }
      }) }}

      {{ input({
        label: {
          text: postcodeLabel
        },
        classes: "nhsuk-input--width-10",
        id: "postcode",
        name: "postcode",
        value: newApplicant.postcode,
        errorMessage: errors | getErrorForField('postcode'),
        autocomplete: "off",
        attributes:{
          autofocus: 'autofocus'
        }
      }) }}
      {% endcall %}

      {{ details({
        "text": addressDetailsTitle,
        "HTML": addressDetailsHtml
      }) }}

      <hr>

      {% call fieldset({
        legend: {
          isPageHeading: true,
          classes: "nhsuk-fieldset__legend--l",
          text: nameLegend
        }
      }) %}

        {{ input({
          label: {
            text: firstNameLabel
          },
          classes: "nhsuk-input--width-20",
          id: "first-name",
          name: "firstName",
          value: newApplicant.firstName,
          errorMessage: errors | getErrorForField('firstName'),
          autocomplete: "off",
          attributes:{
            autofocus: 'autofocus'
          }
        }) }}

        {{ input({
          label: {
            text: lastNameLabel
          },
          classes: "nhsuk-input--width-20",
          id: "last-name",
          name: "lastName",
          value: newApplicant.lastName,
          errorMessage: errors | getErrorForField('lastName'),
          autocomplete: "off"
        }) }}
        <hr>
      {% endcall %}

      <h1 class="nhsuk-heading-l">{{ dateOfBirthLegend }}</h1>
      <p class="nhsuk-label nhsuk-input__label"> {{ dateOfBirthLabel }} </p>  
      {{ hceDateInput({
        fieldIdPrefix:'date-of-birth',
        fieldNamePrefix: "dateOfBirth",
        claim: newApplicant,
        errors: errors
      }) }}
      <hr>

      {% call fieldset({
        legend: {
          isPageHeading: true,
          classes: "nhsuk-fieldset__legend--l",
          text: contactLegend
        }
      }) %}
      
        {{ input({
          label: {
            text: emailLabel
          },
          classes: "nhsuk-input--width-20",
          id: "email-address",
          name: "emailAddress",
          value: newApplicant.emailAddress,
          errorMessage: errors | getErrorForField('emailAddress'),
          autocomplete: "off",
          attributes:{
            autofocus: 'autofocus'
          }
        }) }}

        {% if telephoneEnabled %}
          {{ input({
            label: {
              text: telephoneNumberLabel
            },
            classes: "nhsuk-input--width-20",
            id: "telephone-number",
            name: "telephoneNumber",
            value: newApplicant.telephoneNumber,
            errorMessage: errors | getErrorForField('telephoneNumber'),
            autocomplete: "off",
            attributes:{
              autofocus: 'autofocus'
            }
          }) }}
        {% endif %}
        <hr>
      {% endcall %}

      {% call fieldset({
        legend: {
            isPageHeading: true,
            classes: "nhsuk-fieldset__legend--l",
            text: nhsNumberLegend
          }
        }) %}

        {{ input({
          label: {
            text: nhsNumberLabel
          },
          classes: "nhsuk-input--width-20",
          id: "nhs-number",
          inputmode: "numeric",
          name: "nhsNumber",
          value: newApplicant.nhsNumber,
          errorMessage: errors | getErrorForField('nhsNumber'),
          autocomplete: "off",
          attributes:{
            autofocus: 'autofocus'
          }
        }) }}
        <hr>
      {% endcall %}

      {% call fieldset({
        legend: {
          isPageHeading: true,
          classes: "nhsuk-fieldset__legend--l",
          text: certificateStartDateLegend
        }
      }) %}

        {{ hceDateInput({
          fieldIdPrefix:'certificate-start-date',
          fieldNamePrefix: "certificateStartDate",
          claim: newApplicant,
          errors: errors,
          legend: {
            text: certificateStartDateLabel,
            isPageHeading: true,
            classes: "nhsuk-fieldset__legend--s nhsuk-u-font-weight-normal"
          },
          hint: {
            text: certificateStartDateHint
          }
        }) }}
        <hr>
      {% endcall %}    

      <h1 class="nhsuk-heading-l">{{ paymentLegend }}</h1>
      {{ warningCallout({
        heading: paymentHeading,
        headingLevel: 2,
        HTML: "<p>" + paymentHtml + "</p>"
      }) }}
      <hr>

      <h1 class="nhsuk-heading-l">{{ certificateFulfillmentLegend }}</h1>
      <p class="nhsuk-label nhsuk-input__label"> {{certificateFulfillmentLabel}} </p>
      {% set checkFulfillmentPost = "disabled" if fulfillmentPostEnabed==false else "" %}
      {{ radios({
        id: "certificate-fulfillment",
        idPrefix: "certificate-fulfillment",
        classes: "nhsuk-radios--inline",
        name: "certificateFulfillment",
        errorMessage: errors | getErrorForField('certificateFulfillment'),
        items: [
        {
          value: "EMAIL",
          checked : newApplicant.certificateFulfillment === "EMAIL",
          text: certificateFulfillmentEmailText
        },
        {
          value: "POSTAL",
          checked : newApplicant.certificateFulfillment === "POSTAL",
          text: certificateFulfillmentPostText,
          disabled: checkFulfillmentPost
        }
       ]
       }) }} 
      <hr>

      {{ textarea({
        name: "description",
        id: "description",
        value:  newApplicant.description,
        label: {
          text: noteDescriptionLabel
        },
        errorMessage: errors | getErrorForField('description')
      }) }}

      <div class="form-group">
        {{ button({
          text: backButtonText,
          href: previous,
          classes: "hce-telesales-blue-button",
          preventDoubleClick: true,
          attributes: {
            id: 'back-button'
          }
        }) }}

        {{ button({
          text: submitButtonText,
          classes: "hce-telesales-blue-button",
          preventDoubleClick: true,
          attributes: {
            id: 'submit-button'
          }
        }) }}
      
        {{ button({
          href: contextPath,
          text: cancelButtonText,
          classes: "hce-telesales-blue-button",
          preventDoubleClick: true,
          attributes: {
            id: 'cancel-button'
          }
        }) }}
      </div>
    </div>
  </div>
{% endblock %}